Metadata

Operations for managing Content Fragment metadata according to linked metadata schemas.

Get Content Fragment metadata

Returns all metadata properties for a Content Fragment, including the metadata form identifier.

The form identifier is resolved from the fragment itself or its parent folder hierarchy. If no form is found up to the root folder, the default form is used.

The response includes an ETag header. Clients can pass this value in the If-None-Match header of subsequent requests to avoid re-fetching unchanged data. When the metadata has not changed, the server replies with a 304 Not Modified response and an empty body.

SecuritybearerAuth
Request
path Parameters
fragmentId
required
string <uuid> (UUID)

Content Fragment unique identifier

Example: 49af775d-0e7a-46c3-913d-00f762528373
header Parameters
If-None-Match
string

The If-None-Match header field makes the request method conditional on a recipient cache or origin server either not having any current representation of the target resource, when the field value is "*", or having a selected representation with an entity tag that does not match any of those listed in the field value.

For more details, please head over to RFC9110.

Responses
200

OK

304

Not Modified

400

Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.

403

Forbidden. Indicates that the server understood the request but refuses to fulfil it.

404

Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.

406

Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.

500

Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

get/cf/fragments/{fragmentId}/metadata
Request samples
Response samples
application/json
{
  • "schemaId": "default",
  • "fields": [
    ]
}

Update Content Fragment metadata

This operation allows updating metadata properties of a Content Fragment according to its resolved metadata schema. The changes are passed as JSON Patch documents.

Properties must be defined in the resolved metadata schema, unless the resolved schema is the default schema, in which case any property can be set. Attempting to modify properties not defined in a non-default resolved schema or read-only properties will result in a 400 error.

Save conflicts are detected by leveraging conditional HTTP requests. When a conflict occurs, the server will reply with a 412 response.

SecuritybearerAuth
Request
path Parameters
fragmentId
required
string <uuid> (UUID)

Content Fragment unique identifier

Example: 49af775d-0e7a-46c3-913d-00f762528373
query Parameters
createVersion
boolean
Default: false

When true, a new version of the Content Fragment is created after the update has been successfully applied. The version is created using the system default label. When the update fails, no version is created. Defaults to false.

header Parameters
If-Match
required
string

The If-Match header field makes the request method conditional on the recipient origin server either having at least one current representation of the target resource, when the field value is "*", or having a current representation of the target resource that has an entity tag matching a member of the list of entity tags provided in the field value.

For more details, please head over to RFC9110.

Request Body schema: application/json-patch+json
required
Array
op
required
string

The operation to perform

path
required
string non-empty

The location where information should be added

required
string or number or Array of any or object or boolean (PatchValue)

The information to place at the location indicated by the path parameter

Responses
200

OK - Metadata updated successfully

400

Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.

403

Forbidden. Indicates that the server understood the request but refuses to fulfil it.

404

Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.

406

Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.

412

Precondition Failed. Indicates that one or more conditions given in the request header fields evaluated to false when tested on the server.

415

Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.

428

Precondition Required. Indicates that the origin server requires the request to be conditional.

500

Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

patch/cf/fragments/{fragmentId}/metadata
Request samples
application/json-patch+json
[
  • {
    },
  • {
    },
  • {
    }
]
Response samples
application/json
{
  • "schemaId": "default",
  • "fields": [
    ]
}

Get metadata for a resource path

Returns all metadata properties for a content fragment or folder, including the metadata form identifier.

The form identifier is resolved from the resource itself or its parent folder hierarchy, falling back to the default form if none is found up to the root folder.

All properties under the metadata node are always returned.

SecuritybearerAuth
Request
query Parameters
path
required
string (AssetOrLaunchPath) ^\/content\/(dam|launches)(\/.*)?$

The folder or content fragment path for which to resolve and return metadata.

Example: path=/content/dam/campaigns/summer-2026
header Parameters
If-None-Match
string

The If-None-Match header field makes the request method conditional on a recipient cache or origin server either not having any current representation of the target resource, when the field value is "*", or having a selected representation with an entity tag that does not match any of those listed in the field value.

For more details, please head over to RFC9110.

Responses
200

OK

304

Not Modified

400

Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.

403

Forbidden. Indicates that the server understood the request but refuses to fulfil it.

404

Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.

406

Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.

500

Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

get/cf/metadata/schemas
Request samples
Response samples
application/json
{
  • "schemaId": "default",
  • "fields": [
    ]
}

Bind a metadata schema to a resource

Links a metadata schema to a content fragment or DAM folder. The schema defines which metadata properties are available for the resource.

Binding a Schema:

  • Set schemaId to the ID of the metadata schema to bind
  • Child resources (fragments in folders) will inherit the schema unless overridden

Unbinding a Schema:

  • Set schemaId to null to remove the schema binding
  • The resource will then inherit from its parent folder, if any

Only DAM folders and content fragments are supported. Other resource types will result in a 400 Bad Request response.

SecuritybearerAuth
Request
Request Body schema: application/json
required
resourcePath
required
string^(\/content\/(dam|launches)\/.*)$

Absolute path to a content fragment, a content fragment included in a launch or a content folder under /content/dam.

schemaId
string or null

The metadata schema ID to bind. Set to null to unbind the schema.

Responses
204

Schema binding updated successfully

400

Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.

403

Forbidden. Indicates that the server understood the request but refuses to fulfil it.

404

Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.

500

Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

put/cf/metadata/schemas/bindings
Request samples
application/json
{
  • "resourcePath": "/content/dam/campaigns/summer-2026",
  • "schemaId": "campaign.schema.json"
}
Response samples
application/problem+json
{}